ID CVE-2008-3075
Summary The shellescape function in Vim 7.0 through 7.2, including 7.2a.10, allows user-assisted attackers to execute arbitrary code via the "!" (exclamation point) shell metacharacter in (1) the filename of a ZIP archive and possibly (2) the filename of the first file in a ZIP archive, which is not properly handled by zip.vim in the VIM ZIP plugin (zipPlugin.vim) v.11 through v.21, as demonstrated by the zipplugin and zipplugin.v2 test cases. NOTE: this issue reportedly exists because of an incomplete fix for CVE-2008-2712. NOTE: this issue has the same root cause as CVE-2008-3074. NOTE: due to the complexity of the associated disclosures and the incomplete information related to them, there may be inaccuracies in this CVE description and in external mappings to this identifier.
References
Vulnerable Configurations
  • cpe:2.3:a:vim:vim:7.0:*:*:*:*:*:*:*
    cpe:2.3:a:vim:vim:7.0:*:*:*:*:*:*:*
  • cpe:2.3:a:vim:vim:7.1:*:*:*:*:*:*:*
    cpe:2.3:a:vim:vim:7.1:*:*:*:*:*:*:*
  • cpe:2.3:a:vim:vim:7.1.266:*:*:*:*:*:*:*
    cpe:2.3:a:vim:vim:7.1.266:*:*:*:*:*:*:*
  • cpe:2.3:a:vim:vim:7.1.314:*:*:*:*:*:*:*
    cpe:2.3:a:vim:vim:7.1.314:*:*:*:*:*:*:*
  • cpe:2.3:a:vim:vim:7.2:*:*:*:*:*:*:*
    cpe:2.3:a:vim:vim:7.2:*:*:*:*:*:*:*
  • cpe:2.3:a:vim:vim:7.2a.10:*:*:*:*:*:*:*
    cpe:2.3:a:vim:vim:7.2a.10:*:*:*:*:*:*:*
  • cpe:2.3:a:vim:zipplugin.vim:v.11:*:*:*:*:*:*:*
    cpe:2.3:a:vim:zipplugin.vim:v.11:*:*:*:*:*:*:*
  • cpe:2.3:a:vim:zipplugin.vim:v.12:*:*:*:*:*:*:*
    cpe:2.3:a:vim:zipplugin.vim:v.12:*:*:*:*:*:*:*
  • cpe:2.3:a:vim:zipplugin.vim:v.13:*:*:*:*:*:*:*
    cpe:2.3:a:vim:zipplugin.vim:v.13:*:*:*:*:*:*:*
  • cpe:2.3:a:vim:zipplugin.vim:v.14:*:*:*:*:*:*:*
    cpe:2.3:a:vim:zipplugin.vim:v.14:*:*:*:*:*:*:*
  • cpe:2.3:a:vim:zipplugin.vim:v.15:*:*:*:*:*:*:*
    cpe:2.3:a:vim:zipplugin.vim:v.15:*:*:*:*:*:*:*
  • cpe:2.3:a:vim:zipplugin.vim:v.16:*:*:*:*:*:*:*
    cpe:2.3:a:vim:zipplugin.vim:v.16:*:*:*:*:*:*:*
  • cpe:2.3:a:vim:zipplugin.vim:v.17:*:*:*:*:*:*:*
    cpe:2.3:a:vim:zipplugin.vim:v.17:*:*:*:*:*:*:*
  • cpe:2.3:a:vim:zipplugin.vim:v.18:*:*:*:*:*:*:*
    cpe:2.3:a:vim:zipplugin.vim:v.18:*:*:*:*:*:*:*
  • cpe:2.3:a:vim:zipplugin.vim:v.19:*:*:*:*:*:*:*
    cpe:2.3:a:vim:zipplugin.vim:v.19:*:*:*:*:*:*:*
  • cpe:2.3:a:vim:zipplugin.vim:v.20:*:*:*:*:*:*:*
    cpe:2.3:a:vim:zipplugin.vim:v.20:*:*:*:*:*:*:*
  • cpe:2.3:a:vim:zipplugin.vim:v.21:*:*:*:*:*:*:*
    cpe:2.3:a:vim:zipplugin.vim:v.21:*:*:*:*:*:*:*
CVSS
Base: 9.3 (as of 29-09-2017 - 01:31)
Impact:
Exploitability:
CWE CWE-94
CAPEC
  • Code Injection
    An adversary exploits a weakness in input validation on the target to inject new code into that which is currently executing. This differs from code inclusion in that code inclusion involves the addition or replacement of a reference to a code file, which is subsequently loaded by the target and used as part of the code of some application.
  • Leverage Executable Code in Non-Executable Files
    An attack of this type exploits a system's trust in configuration and resource files. When the executable loads the resource (such as an image file or configuration file) the attacker has modified the file to either execute malicious code directly or manipulate the target process (e.g. application server) to execute based on the malicious configuration parameters. Since systems are increasingly interrelated mashing up resources from local and remote sources the possibility of this attack occurring is high.
  • Manipulating User-Controlled Variables
    This attack targets user controlled variables (DEBUG=1, PHP Globals, and So Forth). An attacker can override environment variables leveraging user-supplied, untrusted query variables directly used on the application server without any data sanitization. In extreme cases, the attacker can change variables controlling the business logic of the application. For instance, in languages like PHP, a number of poorly set default configurations may allow the user to override variables.
Access
VectorComplexityAuthentication
NETWORK MEDIUM NONE
Impact
ConfidentialityIntegrityAvailability
COMPLETE COMPLETE COMPLETE
cvss-vector via4 AV:N/AC:M/Au:N/C:C/I:C/A:C
oval via4
accepted 2013-04-29T04:03:57.332-04:00
class vulnerability
contributors
  • name Aharon Chernin
    organization SCAP.com, LLC
  • name Dragos Prisaca
    organization G2, Inc.
definition_extensions
  • comment The operating system installed on the system is Red Hat Enterprise Linux 5
    oval oval:org.mitre.oval:def:11414
  • comment The operating system installed on the system is CentOS Linux 5.x
    oval oval:org.mitre.oval:def:15802
  • comment Oracle Linux 5.x
    oval oval:org.mitre.oval:def:15459
description and in external mappings to this identifier.
family unix
id oval:org.mitre.oval:def:10246
status accepted
submitted 2010-07-09T03:56:16-04:00
title and in external mappings to this identifier.
version 18
redhat via4
advisories
rhsa
id RHSA-2008:0580
rpms
  • vim-X11-2:7.0.109-4.el5_2.4z
  • vim-common-2:7.0.109-4.el5_2.4z
  • vim-enhanced-2:7.0.109-4.el5_2.4z
  • vim-minimal-2:7.0.109-4.el5_2.4z
refmap via4
bid 32463
bugtraq 20080701 Re: Collection of Vulnerabilities in Fully Patched Vim 7.1
confirm
mandriva MDVSA-2008:236
misc http://www.rdancer.org/vulnerablevim.html
mlist
  • [oss-security] 20080707 Re: More arbitrary code executions in Netrw version 125, Vim 7.2a.10
  • [oss-security] 20080708 Re: More arbitrary code executions in Netrw version 125, Vim 7.2a.10
  • [oss-security] 20080710 Re: Re: More arbitrary code executions in Netrw version 125, Vim 7.2a.10
  • [oss-security] 20080713 Re: Re: More arbitrary code executions in Netrw version 125, Vim 7.2a.10
  • [oss-security] 20080715 Re: Re: More arbitrary code executions in Netrw
  • [oss-security] 20080731 Re: Re: More arbitrary code executions in Netrw version 125, Vim 7.2a.10
  • [oss-security] 20081015 Vim CVE issues cleanup (plugins tar.vim, zip.vim) - CVE-2008-3074 and CVE-2008-3075
  • [oss-security] 20081020 CVE request (vim)
secunia 34418
suse SUSE-SR:2009:007
Last major update 29-09-2017 - 01:31
Published 21-02-2009 - 22:30
Back to Top